/* Importing Google Font - Montserrat */
@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Montserrat", sans-serif;
}

body {
  display: grid;
  place-items: center;
  min-height: 100vh;
  margin: 0;
  padding: 0;
  font-family: "Martel Sans", sans-serif;
  background:  #030728 no-repeat center;
}
header{
  width:100%;
  height: 150px;
  background:linear-gradient(rgba(255, 249, 242, 0.3),rgba(255, 249, 242, 0.2));
  display: flex;
  background-color: white;
  justify-content: space-between;
  align-items: center;
  background-size: cover;
  font-family: sans-serif;
  position: relative;
}
#lb{
  max-width: 95px;
  max-height: 100px;
  background-color: rgb(255, 253, 253);
  border-radius: 50%;
  padding:7px;
  border-style: solid ;
  border: 1px black;
  margin-right: 7px;
}
a{
  color: inherit;
}
nav{
  width: 100%;
  height:100px;
  color:black;
  display: flex;
  justify-content: space-around;
  align-items: center;
}
.logo{
  font-size: 2em;
  letter-spacing: 2px;
  display: flex;
  justify-content: space-around;
}
#lb{
  max-width: 95px;
  max-height: 100px;
  background-color: white;
  border-radius: 50%;
  padding: 20px;
  border: black 3px solid;
}
.navbar a{
  text-decoration: none;
  color:black;
  padding:10px 20px;
  font-size: 20px;
  position: relative;
}
.navbar a:before{
  content:'';
  position: absolute;
  top: 0;
  left:0;
  width:0%;
  height:100%;
  border-bottom:2px solid indianred;
  transition: 0.4s linear;

}
.navbar a:hover:before{
  width:90%;
}

.eventcontainer {
  display: flex;
  justify-content: space-between;
  gap: 200px;
}

h1 {
  font-size: 4.3vmin;
  text-align: center;
  color: black;
}

p {
  font-size: max(10pt, 2.5vmin);
  line-height: 1.4;
  color: #0e390e;
  margin-bottom: 1.5rem;
}
#cp{
  color: white;
}
.wrap {
  display: flex;
  flex-wrap: nowrap;
  justify-content: space-between;
  width: 65vmin;
  height: 52vmin;
  margin: 2rem auto;
  border: 2px solid;
  border-image: linear-gradient(
      -50deg,
  ) 1;
  transition: 0.3s ease-in-out;
  position: relative;
  overflow: hidden;
}

.overlay {
  position: relative;
  display: flex;
  width: 100%;
  height: 100%;
  padding: 1rem 0.75rem;
  background: black;
  transition: 0.4s ease-in-out;
  z-index: 1;
}

.overlay-content {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  width: 15vmin;
  height: 100%;
  padding: 0.5rem 0 0 0.5rem;
  border: 3px solid;
  border-image: linear-gradient(
      to bottom,
      #aea724 5%,
      forestgreen 35% 65%,
      #aea724 95%
  ) 0 0 0 100%;
  transition: 0.3s ease-in-out 0.2s;
  z-index: 1;
}

.image-content {
  position: absolute;
  top: 0;
  right: 0;
  width: 35vmin;
  height: 100%;
  background-image: url("photos_videos/poster1.jpg");
  background-size: cover;
  transition: 0.3s ease-out;
}
.image-content1 {
  position: absolute;
  top: 0;
  right: 0;
  width: 35vmin;
  height: 100%;
  background-image: url("photos_videos/poster7.jpg");
  background-size: cover;
  transition: 0.3s ease-out;
}
.image-content2 {
  position: absolute;
  top: 0;
  right: 0;
  width: 35vmin;
  height: 100%;
  background-image: url("photos_videos/poster3.jpg");
  background-size: cover;
  transition: 0.3s ease-out;
}
.image-content3 {
  position: absolute;
  top: 0;
  right: 0;
  width: 35vmin;
  height: 100%;
  background-image: url("photos_videos/poster4.png");
  background-size: cover;
  transition: 0.3s ease-out;
}
.image-content4 {
  position: absolute;
  top: 0;
  right: 0;
  width: 35vmin;
  height: 100%;
  background-image: url("photos_videos/poster5.jpg");
  background-size: cover;
  transition: 0.3s ease-out;
}
.image-content5 {
  position: absolute;
  top: 0;
  right: 0;
  width: 35vmin;
  height: 100%;
  background-image: url("photos_videos/poster6.jpg");
  background-size: cover;
  transition: 0.3s ease-out;
}
.inset {
  max-width: 50%;
  margin: 0.25em 1em 1em 0;
  border-radius: 0.25em;
  float: left;
}

.dots {
  position: absolute;
  bottom: 1rem;
  right: 2rem;
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  align-items: center;
  width: 55px;
  height: 4vmin;
  transition: 0.3s ease-in-out 0.3s;
}

.dot {
  width: 14px;
  height: 14px;
  background: yellow;
  border: 1px solid indigo;
  border-radius: 50%;
  transition: 0.3s ease-in-out 0.3s;
}

.text {
  position: absolute;
  top: 0;
  right: 0;
  width: 35vmin;
  height: 100%;
  padding: 3vmin 4vmin;
  background: #fff;
  box-shadow: inset 1px 1px 15px 0 rgba(0 0 0 / 0.4);
  overflow-y: scroll;
}

.wrap:hover .overlay {
  transform: translateX(-60vmin);
}

.wrap:hover .image-content {
  opacity: 0;
  width: 0;
}

.wrap:hover .overlay-content {
  border: none;
  transition-delay: 0.2s;
  transform: translateX(60vmin);
}

.wrap:hover .dots {
  transform: translateX(1rem);
}

.wrap:hover .dots .dot {
  background: white;
}

.animate {
  animation-duration: 0.7s;
  animation-timing-function: cubic-bezier(0.26, 0.53, 0.74, 1.48);
  animation-fill-mode: backwards;
  color: white;
}

.pop {
  animation-name: pop;
}

@keyframes pop {
  0% {
    opacity: 0;
    transform: scale(0.5, 0.5);
  }
  100% {
    opacity: 1;
    transform: scale(1, 1);
  }
}

.slide-left {
  animation-name: slide-left;
}

@keyframes slide-left {
  0% {
    opacity: 0;
    transform: translate(-40px, 0);
  }
  100% {
    opacity: 1;
    transform: translate(0, 0);
  }
}

.slide-up {
  animation-name: slide-up;
}

@keyframes slide-up {
  0% {
    opacity: 0;
    transform: translateY(3em);
  }
  100% {
    opacity: 1;
    transform: translateY(0);
  }
}

.delay-2 {
  animation-delay: 0.6s;
}

.delay-4 {
  animation-delay: 1.2s;
}

.delay-5 {
  animation-delay: 1.5s;
}

.delay-6 {
  animation-delay: 1.8s;
}

.delay-7 {
  animation-delay: 2.1s;
}

.delay-8 {
  animation-delay: 2.4s;
}

footer {
  background-color: black;
  color: white;
  text-align: center;
  padding: 20px 0;
  margin-top: 100px;
  width: 100%;
}
.footer-middle {
  display: flex;
  flex-direction: column;
  align-items: center;
}
.anurag-logo img {
  width: 120px;
  height: 50px;
  border-radius: 5px;
  margin-bottom: 10px;
}
.follow-us {
  text-align: center;
  margin-top: 20px;
}
.follow-us h4 {
  margin-bottom: 10px;
}
.social-network {
  list-style: none;
  padding: 0;
  margin: 0;
  text-align: center;
}
.social-network li {
  display: inline-block;
  margin: 0 5px;
}
.social-network li a {
  display: block;
  width: 40px;
  height: 40px;
  text-align: center;
  line-height: 40px;
  color: black;
  border-radius: 50%;
  background-color: #F9F9F9;
  transition: background-color 0.3s ease;
}
.social-network li a:hover {
  background-color: #FA944B;
  text-decoration: none;
  color: black;
}
.contact-info {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-top: 10px;
}
.contact-info i {
  margin-right: 5px;
  color: white;
}
.contact-info span {
  color: white;
}
.copy {
  margin-top: 20px;
  font-size: 12px;
  color: white;
  border-top: 1px solid #FFFFFF;
}


